import { Component } from '@angular/core';

declare let PointrPlugin: any;

var carLocation: string;



@Component({
  selector: 'app-home',
  templateUrl: 'home.page.html',
  styleUrls: ['home.page.scss'],
})
export class HomePage {

  constructor() {
    this.initPointr();
  }

  initPointr() {
    PointrPlugin.initialize(
      {},{},
      "ef510e14-c74f-4791-bdff-05df82c0b478",
      "QA",
      4
    );
  }
  startPointr() {
    PointrPlugin.start(function () {
        console.log("Pointr is running");
    }, function (error) {
        console.log(error);
    });
  }
  showPoiDetails() {
      PointrPlugin.showPoiDetails(function () {
          console.log("Showing Poi Details");
      }, function (error) {
          console.log(error);
      }, "10", "18d4ba4b-94e9-410a-ab5c-a5b7e6eda792");
  }
  showPathfindingToPoi() {
      PointrPlugin.showPathfindingToPoi(function () {
          console.log("Successfully routing to poi");
      }, function (error) {
          console.log("error");
      }, "10", "18d4ba4b-94e9-410a-ab5c-a5b7e6eda792");
  }
  showPathfindingBetweenPois() {
      PointrPlugin.showPathfindingBetweenPois(function () {
          console.log("Successfully showing route between two pois");
      }, function (error) {
          console.log(error);
      }, "10", "18d4ba4b-94e9-410a-ab5c-a5b7e6eda792", "c1671f4a-2a36-4cb4-abdb-44d768ebe167");
  }
  clearPath() {
      PointrPlugin.clearPath();
  }
  showBuilding() {
      PointrPlugin.showBuilding(function () {
          console.log("Successfully showing building");
      }, function (error) {
          console.log(error);
      }, "10", "central_parking");
  }
  showSite() {
      PointrPlugin.showSite(function () {
          console.log("Successfully showing site");
      }, function (error) {
          console.log(error);
      }, "10");
  }
  showLevel() {
      PointrPlugin.showLevel(function () {
          console.log("Successfully showing level");
      }, function (error) {
          console.log(error);
      }, "10", "central_parking", 4);
  }
  showMap() {
      PointrPlugin.showMap(function () {
          console.log("Map should be visible");
      }, function (error) {
          console.log(error);
      });
  }
  highlightPoi() {
      PointrPlugin.highlightPoi(function () {
          console.log('Zoomed to Poi');
      }, function (error) {
          console.log('Could not zoom to poi: ' + error);
      }, "10", "c1671f4a-2a36-4cb4-abdb-44d768ebe167");
  }
  markMyCar() {
      PointrPlugin.getCurrentLocation(function (carLocationJson) {
          console.log("PointrPlugin your location: " + carLocationJson);
          carLocation = carLocationJson;
      }, function (error) {
          console.log("Error while marking car location: " + error);
      }, "parking-spot");
  }
  takeMeToMyCar() {
      PointrPlugin.showPathfindingToLocation(function () {
          console.log("Successfully taking user to their car");
      }, function (error) {
          console.log("Could not take to your car: " + error);
      }, carLocation);
  }
  setPathfindingModeToAccessible() {
      PointrPlugin.setPathfindingMode(function () {
          console.log("Successfully set pathfinding mode to: ACCESSIBLE");
      }, function (error) {
          console.log(error);
      }, 2);
  }
  setPathfindingModeToNormal() {
      PointrPlugin.setPathfindingMode(function () {
          console.log("Successfully set pathfinding mode to: NORMAL");
      }, function (error) {
          console.log(error);
      }, 0);
  }
  loadData() {
      PointrPlugin.loadDataForSite(function () {
          console.log("Successfully loaded data for site");
      }, function (error) {
          console.log(error);
      }, "10");
  }
  hideRouteSummaryView() {
      PointrPlugin.shouldHideRouteSummaryView(function () {
          console.log("Successfully hidden route summary view");
      }, function (error) {
          console.log(error);
      }, true);
  }
  showRouteSummaryView() {
      PointrPlugin.shouldHideRouteSummaryView(function () {
          console.log("Successfully hidden route summary view");
      }, function (error) {
          console.log(error);
      }, false);
  }
}
